/* DirectShow private capture header (QCAP.DLL)
 *
 * Copyright 2005 Maarten Lankhorst
 *
 * This file contains the (internal) driver registration functions,
 * driver enumeration APIs and DirectDraw creation functions.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __CAPTURE_H__
#define __CAPTURE_H__

/* Initialisation */
HRESULT Capture_Initialise(void ** pointer, IPin *pOut, USHORT card);

/* Control */
HRESULT Capture_GetMediaType(void * pBox, AM_MEDIA_TYPE ** mT);
HRESULT Capture_SetMediaType(void * pBox, AM_MEDIA_TYPE * mT);
HRESULT Capture_GetPropRange(void * pBox, long Property, long *pMin, long *pMax, long *pSteppingDelta, long *pDefault, long *pCapsFlags);
HRESULT Capture_GetProp(void *pBox, long Property, long *lValue, long *Flags);
HRESULT Capture_SetProp(void *pBox, long Property, long lValue, long Flags);

/* Stream control */
HRESULT Capture_Run(void * pBox, FILTER_STATE *state);
HRESULT Capture_Stop(void * pBox, FILTER_STATE *state);
HRESULT Capture_Pause(void * pBox, FILTER_STATE *state);

/* Destruction */
HRESULT Capture_Destroy(void * pBox, BOOL destroyall);

#endif /* __CAPTURE_H__ */

